会員サイトをリニューアルしました! 新サイトはこちら

管理画面にエラーが表示されます。 < 不具合報告

フォーラムをリニューアルしました!
今後は、新フォーラムをご利用ください。

管理画面にエラーが表示されます。
 
通知
すべてクリア

[解決済] 管理画面にエラーが表示されます。

zatty
(@zatty)
New Member

昨日から管理画面に以下のようなエラー文が表示されます。

Failed to load plugin: table from url https://cdn.tinymce.com/4/plugins/table/plugin.min.js

該当するようなプラグインも使用しておらず、新たにプラグインを追加等もしておりませんので、原因が分からず困っております

解決方法等ございましたら、お教え頂ければ幸いです。

This topic was modified 8か月前 2回 by zatty
引用
Topic starter 投稿済 : 22/04/2021 4:04 pm
zatty
(@zatty)
New Member

画面表示は添付しております。

返信引用
Topic starter 投稿済 : 22/04/2021 4:21 pm
了(開発者)
(@ryo)
メンバー Admin

何かアップデートなどしましたか?

返信引用
投稿済 : 22/04/2021 5:24 pm
zatty
(@zatty)
New Member

@ryo

ご返信ありがとうございます。

WordPressのバージョンを5.7から5.7.1に変更しましたが、それ以外特にバージョンアップは行っておりません。

Googleで検索したところ、似たような事象でclassic editor等のプラグインが引っかかるとの事でしたので、

引っかかりそうなプラグインは無効化、削除、他SWELL設定のキャッシュクリアを行いましたが、エラー文は消えませんでした。

返信引用
Topic starter 投稿済 : 22/04/2021 6:37 pm
かんた
(@swell-mania)
Reputable Member

エラーの表示される場所が本トピックとは違いますがは別テーマのJINでも出ています。

JINのフォーラムで、ひつじさんがコメントしていました。

ちなみにJINとSWELL両方を使っている僕の環境でも発生させることができました!

----------------------

  • WordPress: 5.7.1
  • プラグイン:なし
  • PHP:7.4.13
  • プラグイン:なし
  • 備考:検証環境のサイト

----------------------

■SWELL有効時
SWELL: 2.3.7
Classic Editor 1.6(最新バージョン)有効時

<症状>
投稿編集画面にエラーがでる↓

Failed to load plugin: table from url  https://cdn.tinymce.com/4/plugins/table/plugin.min.js 

<備考>
エラーのポップアップはバツ印をクリックし消すことができます。
ページを編集し保存もできます。
保存後エラーは再び表示されます。

この後Classic Editorを無効化、
→新規でページを作る場合に限り問題なし。
→クラシックエディターで編集し保存していた記事を開くとエラーがでる(エラーは先程と同じ)

■JIN有効時
JIN: 2.600(一世代前)

<症状>SWELLと全く同じ症状です。

JIN: 2.630(最新バージョン)
エラーは出ません。

■デフォルトテーマ有効時

エラーは出ません。

SWELLフォーラムの守り神はしらこさんである

返信引用
投稿済 : 22/04/2021 7:35 pm
zattyしらこ 件のいいね!
みさき@セブ島
(@misaki_cebu)
Estimable Member

私も昨日、クラシックブロックを使おうとした時に気が付きました。

(SWELLとは関係ないと思ったのでスルーしてましたが)

管理画面ではなくクラシックブロックを使おうとした時だったので場所は違いますが、クラシックエディター関連のバグかと…

返信引用
投稿済 : 22/04/2021 9:49 pm
zatty 件のいいね!
了(開発者)
(@ryo)
メンバー Admin

クラシックエディターで使えるテーブル用の拡張機能みたいなやつの読み込みが5.7.1でバグってるっぽいですね...。

ちょっとあとで調べておきます!

返信引用
投稿済 : 22/04/2021 10:06 pm
issan
(@issan)
Active Member

私の環境でも同様のエラーが置きています。

クラシックエディタのテーブルが追加できなくなってますね。かんたさんのご指摘通り、JINではテーマの改修をしたようです。

WordPress 5.7.1

返信引用
投稿済 : 24/04/2021 9:16 am
zatty 件のいいね!
了(開発者)
(@ryo)
メンバー Admin

tinymceのCDNから機能拡張用のjsを読み込んでいたのですが、CDN上から削除されたみたいです(もしくはパスが変わったか)。

次回アップデートにて、テーマファイル内から読み込むように修正しておきます!

返信引用
投稿済 : 24/04/2021 12:06 pm
zatty 件のいいね!
了(開発者)
(@ryo)
メンバー Admin

2.3.7.1で修正してみました!エラーがでなくなっているかどうかご確認いただけると助かります...!

返信引用
投稿済 : 24/04/2021 4:58 pm
zatty, みさき@セブ島しらこ 件のいいね!
かんた
(@swell-mania)
Reputable Member

早速の対応ありがとうございます。

僕の環境ではテーマアップデート後、問題が無事解決しました。

SWELLフォーラムの守り神はしらこさんである

返信引用
投稿済 : 24/04/2021 5:19 pm
了(開発者)しらこ 件のいいね!
issan
(@issan)
Active Member

エラーなくなりました。

ありがとうございました。

返信引用
投稿済 : 24/04/2021 8:55 pm
しらこ了(開発者) 件のいいね!
zatty
(@zatty)
New Member

@ryo

確認が遅くなってしまい、申し訳ございません!

テーマアップデート後、エラー表示がなくなりました!

ご対応いただきありがとうございます!

他の方々も情報いただきありがとうございました!

返信引用
Topic starter 投稿済 : 03/05/2021 2:48 pm
共有: